echo off

rem Examples of command line arguments for start Fast Link Checker
rem Console Tool from command line and from batch files.

rem Check links on the local site
conlinkchecker --Site localhost -CheckHyperlinks -CheckImages -CheckOthers

rem Check links on the local site, then save results to the file localhost.flc
rem conlinkchecker --Site localhost -CheckHyperlinks -CheckImages -CheckOthers --SiteFile localhost.flc

rem Check links on the local site, then send report with all found broken links to user@webtweaktools.net
rem conlinkchecker --Site localhost -CheckHyperlinks -CheckImages -CheckOthers --report text user@webtweaktools.net

rem Check links on the local site, then save report with all links to the file report.htm
rem conlinkchecker --Site localhost -CheckHyperlinks -CheckImages -CheckOthers --report htmlfull report.htm

rem Check links on the local site, then save report with all links to the files report.csv and report.htm
rem conlinkchecker --Site localhost -CheckHyperlinks -CheckImages -CheckOthers --report csvfull report.csv --report htmlfull report.htm

rem Display error level value

if ERRORLEVEL 1 goto answer1
if ERRORLEVEL 0 goto answer0

:answer0
echo Success
goto exit

:answer1
echo Fatal error
goto exit

:exit
